Bug 322131 - Wrong abbreviated weekdays for russian language, first_weekday and first_workday
Wrong abbreviated weekdays for russian language, first_weekday and first_workday
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 09:47 EDT by Arturas Moskvinas
Modified: 2008-01-08 12:09 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.5-18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-08 12:09:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes abbreviations and adds first_weekday, first_workday (1.14 KB, patch)
2007-10-07 09:47 EDT, Arturas Moskvinas
no flags Details | Diff

  None (edit)
Description Arturas Moskvinas 2007-10-07 09:47:18 EDT
Description of problem:
Wrong abbreviation of weekdays, also wrong first day of the week and first work day.

Version-Release number of selected component (if applicable):
glibc-common-2.5-12

How reproducible:
Always

Steps to Reproduce:
1.php script:
<?
header('Content-Type: text/html; charset=utf-8');
setlocale(LC_TIME, 'ru_RU.utf8');
echo strftime('%a', strtotime('2007-10-07'));
?>
2. export LANG=ru_RU.UTF-8
3. locale first_weekday
4. locale first_workday
  
Actual results:
1. Prints three letter abbreviation
3. Prints 1, 
4. Prints 1, 
Expected results:
1. Should be two letter abbreviation.
3. Should be 2 (monday is the first week day in Russia)
4. Should be 2 (monday is the first work day in Russia)
Additional info:
first_weekday, first_workday taken from glibc-common-2.5-18.fc6
Comment 1 Arturas Moskvinas 2007-10-07 09:47:18 EDT
Created attachment 218701 [details]
fixes abbreviations and adds first_weekday, first_workday
Comment 2 Jakub Jelinek 2007-10-09 04:38:51 EDT
You need to back up your claims by standard references.
Comment 3 Arturas Moskvinas 2007-10-09 17:37:40 EDT
first_weekday standard reference:
http://www.gsnti-norms.ru/norms/common/doc.asp?0&/norms/stands/8601.htm, 2.17.

It is direct translation of ISO 8601-2001 standard, which specifies, that week
begins with monday.

As for abbreviations, I was unable to find any standard which specifies if it is
two or three letter abbreviation. Maybe only ability to choose alternative
abbreviations with locale will fix the problem. I am unable to backup my
abbreviation claims.
Comment 5 Jakub Jelinek 2008-01-08 12:09:06 EST
Incidentally this is already fixed in RHEL5.1 glibc (glibc-2.5-14 and above).

Note You need to log in before you can comment on or make changes to this bug.